
%define		module	pypar
Summary:	pypar - Parallel Programming in the spirit of Python!
Summary(pl.UTF-8):	pypar - programowanie równoległe w duchu Pythona
Name:		python-%{module}
Version:	1.9.3
Release:	10
License:	GPL
Group:		Libraries/Python
Source0:	http://datamining.anu.edu.au/~ole/pypar/%{module}_%{version}.tgz
# Source0-md5:	7039dc549acd1db9806e7510c8eb93dc
Patch0:		%{name}-build.patch
Patch1:		numpy.patch
Patch2:		no-m64.patch
URL:		http://datamining.anu.edu.au/~ole/pypar/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	mpi-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-numarray-devel
BuildRequires:	python-numpy-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pypar is an efficient but easy-to-use module that allows
programs/scripts written in the Python programming language to run in
parallel on multiple processors and communicate using message passing.
Pypar provides bindings to an important subset of the message passing
interface standard MPI.

%description -l pl.UTF-8
Pypar to sprawny, lecz łatwy w użyciu moduł pozwalający programom i
skrtyptom napisanym w języku programowania Python działać równolegle
na wielu procesorach i komunikować się przy użyciu przekazywania
komunikatów. Pypar udostępnia dowiązania do istotnego podzbioru
standardu interfejsu przekazywania komunikatów MPI.

%package examples
Summary:	Example programs for Python pypar module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pypar
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pypar module.

%description examples -l pl.UTF-8
Pakiet zawierający programy przykładowe dla modułu Pythona pypar.

%prep
%setup -q -n %{module}_%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="%{rpmcflags}"
%py_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

%py_install

%py_postclean

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOC FAQ README
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Mar 08 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pypar.git;a=log;h=auto/th/python-pypar-1.9.3-10

* Wed Mar 08 2017 Jan Rękorajski <baggins@pld-linux.org> 5c91f86
- use virtual MPI BR
- rel 10

* Wed Mar 08 2017 Jan Rękorajski <baggins@pld-linux.org> 7953ad1
- fixed BRs
- don't use -m64 gcc flag, breaks x32
- rel 9

* Mon Mar 06 2017 Jan Rękorajski <baggins@pld-linux.org> c615d57
- build with python-numpy
- rel 8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5a39b83
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 39fb30f
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> dda2e2b
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 46e6154
- release 6

* Sun Oct 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> babf5ea
- release 5

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a8abb62
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f2c9576
- release 3

* Tue Sep 04 2007 Jakub Bogusz <qboosh@pld-linux.org> dec43ea
- python 2.5 for .egg-info
- BR: rpm-pythonprov

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 58e2b54
- rel 2

* Tue Sep 04 2007 Patryk Zawadzki <patrys@room-303.com> d027d30
- another attempt

* Tue Sep 04 2007 Patryk Zawadzki <patrys@room-303.com> ca71273
- fix for baggins

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> e7d8e0c
- fix build (missing dir in setup.py)

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 79ce31b
- build in proper dir

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> b6c83c3
- 1.9.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e59854d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2001af5
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> a7e25ea
- cp -a implies cp -r

